//
//  ViewController.m
//  DocumentPickerTest
//
//  Created by Arlo Leach on 3/4/20.
//  Copyright © 2020 Arlo Leach. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

- (IBAction)openPicker {
	NSArray *UTIs = [NSArray arrayWithObjects:@"public.text", nil];
	UIDocumentPickerViewController *documentPicker = [[UIDocumentPickerViewController alloc] initWithDocumentTypes:UTIs inMode:UIDocumentPickerModeImport];
	documentPicker.delegate = self;
	[self presentViewController:documentPicker animated:TRUE completion:nil];
}

- (void)documentPicker:(UIDocumentPickerViewController *)controller didPickDocumentAtURLs:(NSArray<NSURL *> *)urls {
	NSLog(@"picked URLs %@", urls);
	// selecting multiple documents is cool, but requires iOS 11
	[self documentPicker:controller didPickDocumentAtURL:[urls firstObject]];
}

- (void)documentPicker:(UIDocumentPickerViewController *)controller didPickDocumentAtURL:(NSURL *)url {
	NSLog(@"picked URL %@", url);
}

- (void)documentPickerWasCancelled:(UIDocumentPickerViewController *)controller {
	NSLog(@"cancelled");
}

@end
